<?php
defined('BASEPATH') or exit('No direct script access allowed');

require APPPATH . '/libraries/REST_Controller.php';
require APPPATH . '/libraries/Format.php';

use Restserver\Libraries\REST_Controller;

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: POST");

class Api_spotify_activity_masukkan extends REST_Controller
{

	public function __construct()
	{
		parent::__construct();
		$this->load->helper(['jwt', 'authorization']);
	}


	public function index_post()
	{
		//PANGGIL DATA
		$spotify = $this->db->query("SELECT * FROM tbl_mst_spotify  order by mst_spotify_urutan asc");

		if ($spotify->num_rows() > 0) {
			foreach ($spotify->result() as $row) {
				$data['spotify'][] = array(
					'mst_spotify_kode' => encrypt($row->mst_spotify_kode, $this->config->item('key')),
					'mst_spotify_nama' => encrypt($row->mst_spotify_nama, $this->config->item('key')),
					'mst_spotify_keterangan' => encrypt($row->mst_spotify_keterangan, $this->config->item('key')),
					'mst_spotify_notasi' => encrypt($row->mst_spotify_notasi, $this->config->item('key')),
					'mst_spotify_harga' => encrypt(number_format($row->mst_spotify_harga, 0, ',', '.'), $this->config->item('key')),
					'mst_spotify_admin' => encrypt(number_format($row->mst_spotify_admin, 0, ',', '.'), $this->config->item('key')),
					'mst_spotify_total' => encrypt(number_format($row->mst_spotify_harga + $row->mst_spotify_admin, 0, ',', '.'), $this->config->item('key')),
					'mst_spotify_poin' => encrypt($row->mst_spotify_poin, $this->config->item('key')),
					'mst_spotify_urutan' => encrypt($row->mst_spotify_urutan, $this->config->item('key')),
					'mst_spotify_status' => encrypt($row->mst_spotify_status, $this->config->item('key')),
				);
			}

			$sess["status"] = "001";
			$sess["pesan"] = "Berhasil";
			$keytoken = strtoupper(substr(sha1(uniqid()), 0, 16));;
			$sess['data'] = array(
				'token' =>  encrypt($keytoken, $this->config->item('keytoken')),
				'value' =>  encrypt(json_encode($data), $keytoken)
			);
			echo json_encode($sess);
		} else {
			$sess["status"] = "002";
			$sess["pesan"] = "Gagal";
			$keytoken = strtoupper(substr(sha1(uniqid()), 0, 16));;
			$sess['data'] = array(
				'token' =>  encrypt($keytoken, $this->config->item('keytoken')),
				'value' =>  encrypt(json_encode(array()), $keytoken)
			);
			echo json_encode($sess);
		}
	}
}
